## org.metaabm.gen.test
Enum SpatialStateEnum

    java.lang.Object
      java.lang.Enum<SpatialStateEnum>
          org.metaabm.gen.test.SpatialStateEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SpatialStateEnum>

    public enum SpatialStateEnum

extends java.lang.Enum<SpatialStateEnum>

Spatial State Java Implementation. Generated by metaabm system: May 13, 2009 11:53:45 AM PDT in project: org.metaabm.gen.ascape.test (testing)

Enum Constant Summary
`option1`
`option2`
`option3`

Method Summary
`java.lang.String` `toString()`
`static SpatialStateEnum` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SpatialStateEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### option1

    public static final SpatialStateEnum option1

### option2

    public static final SpatialStateEnum option2

### option3

    public static final SpatialStateEnum option3

Method Detail

### values

    public static SpatialStateEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpatialStateEnum c : SpatialStateEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpatialStateEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<SpatialStateEnum>`